# Version 1

## Return result in JSON

<mark style="color:blue;">`GET`</mark> `https://okaydbdemo.innov8tif.com/ekyc/api/aml/v1/business/{{businessID}}?apiKey={{apikey}}`

Please fill in the businessID & apikey in the url.

{% tabs %}
{% tab title="200 " %}

```
{
  "id": 579097,
  "businessName": "Tesla, Inc.",
  "telephoneNumber": "+1 (650) 681-5100",
  "faxNumber": "+1 (650) 681-5101",
  "website": "https://www.tesla.com",
  "isPEP": true,
  "isSanctionsCurrent": false,
  "isSanctionsPrevious": false,
  "isLawEnforcement": true,
  "isFinancialregulator": false,
  "isDisqualifiedDirector": false,
  "isInsolvent": false,
  "isAdverseMedia": true,
  "addresses": [
    {
      "address1": "Tesla Headquarters",
      "address2": "3500 Deer Creek Road",
      "address3": "",
      "address4": "",
      "city": "Palo Alto",
      "county": "California",
      "postcode": "CA 94304",
      "country": {
        "name": "United States of America"
      }
      ......
      
}
```

{% endtab %}
{% endtabs %}

## Return result in PDF bytes

<mark style="color:blue;">`GET`</mark> `https://okaydbdemo.innov8tif.com/ekyc/api/aml/v1/person/pdf/{{businessID}}?apiKey={{apikey}}`

Please fill in the businessID & apikey in the url.

{% tabs %}
{% tab title="200 Save this response as PDF file" %}

```
%PDF-1.4
%����
1 0 obj
<<
/Title<FEFF0050006500720073006F006E002000640065007400610069006C0073>
/Creator<FEFF0077006B00680074006D006C0074006F00700064006600200030002E00310032002E0034>
/Producer(PDFsharp 1.50.4845 \(www.pdfsharp.com\) \(Original: Qt 4.8.7\))
/CreationDate(D:20201127074530Z)
/ModDate(D:20201127074531+00'00')
>>
endobj
2 0 obj
<<
/Type/Pages
/Kids[5 0 R 19 0 R 25 0 R 30 0 R 34 0 R 38 0 R 42 0 R 46 0 R 50 0 R 54 0 R 58 0 R 62 0 R 66 0 R 71 0 R 81 0 R 91 0 R 101 0 R 110 0 R 118 0 R 128 0 R 137 0 R 146 0 R 155 0 R 165 0 R 174 0 R 184 0 R 194 0 R 203 0 R 212 0 R 221 0 R 230 0 R 239 0 R 250 0 R 260 0 R 269 0 R 278 0 R 287 0 R 297 0 R 307 0 R 315 0 R 325 0 R 333 0 R 340 0 R 350 0 R 360 0 R 370 0 R 378 0 R 385 0 R 391 0 R 401 0 R 411 0 R 420 0 R 431 0 R 442 0 R 451 0 R 459 0 R 470 0 R 483 0 R 492 0 R 502 0 R 514 0 R 523 0 R 535 0 R 545 0 R 553 0 R 563 0 R 573 0 R 585 0 R 592 0 R]
/Count 69
/ProcSet[/PDF/Text/ImageB/ImageC]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/aml/search-by-business-id/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
